> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parser.expert/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extracts

> Retrieve the extracted data using the parser ID and bucket ID.



## OpenAPI

````yaml GET /v1/extracts
openapi: 3.0.1
info:
  title: Parser Expert API
  description: API documentation for Parser Expert.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.parser.expert
security:
  - apiKeyAuth: []
paths:
  /v1/extracts:
    get:
      summary: Get Extracted Data
      description: Retrieve the extracted data using the parser ID and bucket ID.
      parameters:
        - name: parser_id
          in: query
          required: true
          schema:
            type: string
          description: >-
            The ID of the parser. The parser ID is returned when content is
            uploaded.
        - name: bucket_id
          in: query
          required: true
          schema:
            type: string
          description: The ID of the bucket.
      responses:
        '200':
          description: Processed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        parsed_data:
                          type: object
                          additionalProperties: true
                        parser_id:
                          type: string
                          description: The ID of the parser.
                        status:
                          type: string
                          description: >-
                            The status of the extraction. Available values are 
                            `pending` `parsed` `error`.
                        updated_at:
                          type: string
                          format: date-time
                          description: >-
                            The last update time. The format is ISO 8601. For
                            example, `2024-07-12T20:30:03.042Z`.
                  message:
                    type: string
                    description: Success message.
              examples:
                pending:
                  value:
                    data:
                      - parsed_data: {}
                        parser_id: f555c13a-846f-4505-95fe-8f72b39edef9
                        status: pending
                        updated_at: '2024-07-12T20:30:03.042Z'
                    message: Processed successfully
                completed:
                  value:
                    data:
                      - parsed_data:
                          amount_due: 2300
                          billing_address: 789 Enterprise Blvd, Innovation City, MA 54321
                          currency_code: null
                          customer_name: Innovations Acme
                          due_date: '2024-04-19'
                          invoice_date: '2024-03-20'
                          invoice_id: FA20240001
                          invoice_total: null
                          items:
                            - amount: 300
                              description: Brand Identity Design 1 Hour
                              product_code: BRD
                              quantity: 1
                              service_date: '2024-03-15'
                              tax: null
                              tax_rate: null
                              unit: null
                              unit_price: 300
                          purchase_order: PO1234343
                          subtotal: 2500
                          tax: 200
                          total_discount: null
                          vendor_address: null
                          vendor_name: Acme Inc.
                        parser_id: f555c13a-846f-4505-95fe-8f72b39edef9
                        status: parsed
                        updated_at: '2024-07-12T20:30:20.286Z'
                    message: Processed successfully
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '424':
          $ref: '#/components/responses/FailedDependency'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    FailedDependency:
      description: Failed Dependency
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````